View Issue Details

IDProjectCategoryView StatusLast Update
0012340MediaMonkey (current)Synchronizationpublic2014-12-12 23:54
ReporterLudek Assigned To 
PriorityimmediateSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version4.1.5 
Target Version4.1.6Fixed in Version4.1.6 
Summary0012340: Optimize USB sync with Androids
DescriptionAs discussed here: http://www.mediamonkey.com/forum/viewtopic.php?f=12&t=77686&p=398226#p398226
there is a room for optimization.

In case of the user the mmstore.db.synced was download twice from the device (once for scanning purposes) and once for syncing. And on the second attempt the MTP layer frozen for 240s.

It should be optimized to:
1) Download mmstore.db.synced always only once
2) If mmstore.db.synced is presented then it means that MMA is not running to process it, so also requesting for actual mmstore.db.copy shouldn't be needed and would speed the process further
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=12&t=77686&p=398226#p398147
#AQN-884-24890
TagsNo tags attached.
Fixed in build1721

Relationships

related to 0012347 closedLudek USB Sync to external SD Card fails to update database (regression) 
related to 0012385 closedLudek Auto-conversion fails for OGGs in some cases 
related to 0011399 resolvedmarek Android Sync Problems 
related to 0011485 closedpeke Sync: Various Regressions USB Sync 
related to 0012961 resolvedpeke USB Sync freezes when removing content 

Activities

Ludek

2014-11-18 14:12

developer   ~0041051

This should be optimized together with issues described in 0012347 and further MTP issues discussed with Marek offline.

Ludek

2014-11-19 23:05

developer   ~0041064

Fixed in 4.1.6.1720

Together with 0012347 the workflow was changed to workaround the MTP freezes and refresh issues + fixed further tweaks related to USB sync with MMA.

peke

2014-11-24 03:13

developer   ~0041117

Verified 1720/343

Ludek

2014-11-24 23:22

developer   ~0041131

Last edited: 2014-11-24 23:25

View 3 revisions

Re-opened, I found another workaround to eliminate the MTP freeze when running sync and the device was not connected for several minutes.

It is improved in build 1721, but a minute freeze still can happen once some tracks needs to be deleted during sync and the device has been just connected, this is long standing issue related to:
https://code.google.com/p/android/issues/detail?id=23090
http://forum.xda-developers.com/showthread.php?t=2155438&page=2

The workaround is added to 4.1.6.1721

rusty

2014-11-25 17:23

administrator   ~0041144

Last edited: 2014-11-25 19:33

View 2 revisions

This doesn't seem to be fixed in my environment.
Ran MM & initiated USB Sync
--> was prompted to remove 110 tracks
Agreed and proceeded with the sync of 131 tracks
--> 7 tracks appeared to sync and then it got stuck on track 8 'Happy Mondays - Hidden Track 2'
--> MM went on to apparently sync track 9 'Cheap Trick - I want you to want me', but again it was stuck

Debug log uploaded.

Note: This is a regression in 4.1.6 (4.1.5 doesn't get stuck in this manner).

peke

2014-11-25 21:21

developer   ~0041150

Note I just read those two posts and found that common thing is that If file is transfered under different extension it copies without problem but if .MP3 is transfered than it can hang.

I manually renamed 2GB test.MKV to Test.MKV.xxx and copied without problems 10 times by using criteria Copy -> Delete -> Copy

As soon as I rename Test.MKV.xxx -> Test.MKV and tries to copy another MKV there is 1/5 chance of freeze. My guess is taht media Scan event triggered and that storage choke up triggering freeze.

All tests are done using windows explorer.

Note: Unlike Windows Linux and MAC locks files until they are fully copied and closed/released so media scan do not trigger.

Ludek

2014-11-26 10:30

developer   ~0041162

Last edited: 2014-11-26 10:33

View 3 revisions

The first MTP freeze I see in the log is when uploading file
\Music\Happy Mondays\Uncle Dysfunktional\albumart.jpg
and then it failed with code 802A0006. This freeze is 5 minutes long and looks same as 1) in 0012385

Then there is another 5 minutes long freeze when uploading another media file with same result:
802A0006 (\\192.168.0.147\Qdownload\music\Discografia_Happy Mondays\Happy Mondays - Uncle Dysfunktional-2007\13_happy_mondays_-_hidden_track_2.mp3 -> \Music\Happy Mondays\Uncle Dysfunktional\13 Hidden track 2.mp3)

etc.

I will try the Peke's suggestion to copy media files as *.mp3.xxx and then rename it to *.mp3 to see whether this helps.
I also read this tip somewhere on the internet to workaround buggy Android's MTP transfering.

Ludek

2014-11-26 17:02

developer   ~0041164

Rusty, could you please try whether FTP:staff_files/forRusty/fromLudek/d_WMDM.dll
works any better and generate new log?

peke

2014-11-26 18:52

developer   ~0041170

I copied backups back to phone over USB and MTP freeze happen on media files.

So to test I created ".nomedia" file in folders with Media and recopied 4 times without crashes while it crashed 1/3 of times without ".nomedia"

Ludek

2014-11-26 20:30

developer   ~0041175

Last edited: 2014-11-26 21:28

View 4 revisions

Good tip with the .nomedia file, we can try it based on Rusty's test results with the new DLL

@Peke, does the freeze happen only when you copy via Windows Explorer or it freezes when MMW syncing too?
Peke's reply via IM: "Both Ocasionally in most cases I get scanning SD card and when I start MMA/Google play while sync. but with Explorer is more reproducable as folder is open in explorer and refreshes so I'm guessing media refresh event is triggered then."

rusty

2014-11-27 07:05

administrator   ~0041180

I tested with the test .dll and with the test .dll + .no media. Still no success.

Debug logs posted to ftp.

Ludek

2014-11-27 08:52

developer   ~0041181

Rusty, it is not '.no media', but '.nomedia' file, I uploaded the file on the FTP.
Copy the .nomedia file directly to the Music folder on your device.

You also indicated that this did not happen in 4.1.5, I guess that it must have been a coincidence. Could you please retest with 4.1.5 and upload debug log of that?

rusty

2014-11-27 15:43

administrator   ~0041182

It seems that my failed tests were a result of the Android device getting into a corrupted state. After rebooting, build 1721 works correctly. Re-resolving.

peke

2014-11-28 10:11

developer   ~0041205

Note: In case that it still happen or return there is a chance that .nomedia file must be in all subfolders not just root

peke

2014-12-12 23:54

developer   ~0041454

Verified 1724